티스토리 뷰

아래와 같은 오류가 발생했을 때 대처 방법입니다.

Severity Code Description Project File Line Suppression State
Error NETSDK1045 The current .NET SDK does not support targeting .NET Core 3.0. Either target .NET Core 2.2 or lower, or use a version of the .NET SDK that supports .NET Core 3.0. PrismSample.Web C:\Program Files\dotnet\sdk\2.2.300\Sdks\Microsoft.NET.Sdk\targets\Microsoft.NET.TargetFrameworkInference.targets 137

 

현재 .NET Core 3.0은 Preview 버전이기 때문에 Preview 버전 사용이 가능하도록 Visual Studio 2019에서 설정해 주어야 합니다.

 

Visual Studio 2019 -> Tools -> Options 

 

빨간 테두리 부분을 선택하시고 OK를 눌러주시면 3.0 사용이 가능합니다.

댓글
댓글쓰기 폼